# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-date_holidays
Version:			0.17.1
Release:			5.4
Summary:			Driver based class to calculate holidays.
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Date_Holidays
Source0:			http://pear.php.net/get/Date_Holidays-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>


Requires:		php5-pear-date, php5-pear-xml_serializer
Requires:		php5-pear-console_getargs

%if 0%{?suse_version} >= 1010 || 0%{?sles_version} >= 10
PreReq:			php5-pear
Requires:               php5-pear
BuildRequires:          php5-pear
%endif

%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0
PreReq:			php4-pear
Requires:               php4-pear
BuildRequires:          php4-pear
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
PreReq:			php-pear
Requires:               php-pear
BuildRequires:          php-pear
%endif

%description
Date_Holidays helps you calculating the dates and titles of holidays
and other special celebrations. The calculation is driver-based so
it is easy to add new drivers that calculate a country's holidays.
The methods of the class can be used to get a holiday's date and
title in various languages.

Authors:
--------
	Carsten Lucke
	Stephan Schmidt
	Mark Wiesemann
	Ken Guest

%prep
%setup -c 
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .
%__sed -i 's|/usr/bin/php|%{_bindir}/php5|g' %{buildroot}%{_bindir}/pear-dh-*

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Date_Holidays.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Date_Holidays.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Date_Holidays
fi

%files
%defattr(-, root, root)
%doc docs/Date_Holidays
%dir %{peardir}/Date
%dir %{peardir}/Date/Holidays
%dir %{peardir}/Date/Holidays/Driver
%dir %{peardir}/Date/Holidays/Filter
%dir %{peardir}/Date/Holidays/Filter/Germany
%dir %{peardir}/Date/Holidays/Filter/Ireland
%dir %{peardir}/data/Date_Holidays
%dir %{peardir}/data/Date_Holidays/lang
%dir %{peardir}/data/Date_Holidays/lang/Christian
%dir %{peardir}/data/Date_Holidays/lang/Germany
%dir %{peardir}/data/Date_Holidays/lang/Sweden
%dir %{peardir}/data/Date_Holidays/lang/UNO
%dir %{peardir}/data/Date_Holidays/lang/USA
%dir %{peardir}/tests/Date_Holidays
%dir %{peardir}/tests/Date_Holidays/tests
%{_bindir}/pear-dh-compile-translationfile
%{_bindir}/pear-dh-ini2xml
%{peardir}/Date/Holidays.php
%{peardir}/Date/Holidays/*.php
%{peardir}/Date/Holidays/Driver/*.php
%{peardir}/Date/Holidays/Filter/*.php
%{peardir}/Date/Holidays/Filter/Germany/*.php
%{peardir}/Date/Holidays/Filter/Ireland/*.php
%{peardir}/data/Date_Holidays/lang/Christian/*.ser
%{peardir}/data/Date_Holidays/lang/Christian/*.xml
%{peardir}/data/Date_Holidays/lang/Germany/*.ser
%{peardir}/data/Date_Holidays/lang/Germany/*.xml
%{peardir}/data/Date_Holidays/lang/Sweden/*.ser
%{peardir}/data/Date_Holidays/lang/Sweden/*.xml
%{peardir}/data/Date_Holidays/lang/UNO/*.ser
%{peardir}/data/Date_Holidays/lang/UNO/*.xml
%{peardir}/data/Date_Holidays/lang/USA/*.ser
%{peardir}/data/Date_Holidays/lang/USA/*.xml
%{peardir}/tests/Date_Holidays/tests/*.php
%{peardir}/tests/Date_Holidays/tests/Date_Holidays_Driver_TestSuite.xml
%{xmldir}/Date_Holidays.xml

%changelog
* Mon Dec 10 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
